import {main} from '@/api'
import request from '@/utils/require'

//交地储数据记录表分页列表查询
export function statisticalList(data) {
    return request({
      url: `${main}/tyJytjbb/selectDcjlPage?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data,
    })
}
//地储交易汇总表分页列表查询
export function selectDcjyhzPage(data) {
    return request({
      url: `${main}/tyJytjbb/selectDcjyhzPage?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data,
    })
}
//地储数据记录表导出
export function dcjlExport(data) {
    return request({
      url: `${main}/tyJytjbb/dcjlExport`,
      method: 'post',
      responseType: "blob",
      data: data,
    })
}
//地储交易汇总表导出
export function dcjyhzExport(data) {
    return request({
      url: `${main}/tyJytjbb/dcjyhzExport`,
      method: 'post',
      responseType: "blob",
      data: data,
    })
}

//保存或修改地储交易统计备注信息
export function saveMsg(data) {
  return request({
    url: `${main}/tyJytjbb/saveOrUpdateDcjybzxx`,
    method: 'post',
    data: data,
  })
}

